// FindDlg.cpp : implementation file
//

#include "stdafx.h"
#include "AllMyIncludes.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CFindDlg dialog


CFindDlg::CFindDlg(CWnd* pParent /*=NULL*/)
	: CDialog(CFindDlg::IDD, pParent)
{
	//{{AFX_DATA_INIT(CFindDlg)
	m_strFind = _T("");
	//}}AFX_DATA_INIT
	m_pParent = (CAccessEaseView *)pParent;
}


void CFindDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CFindDlg)
	DDX_Text(pDX, IDC_EDIT1, m_strFind);
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(CFindDlg, CDialog)
	//{{AFX_MSG_MAP(CFindDlg)
	ON_BN_CLICKED(IDC_BUTTON_NEXT, OnButtonNext)
	ON_BN_CLICKED(IDC_BUTTON_PREV, OnButtonPrev)
	ON_WM_CHAR()
	ON_WM_DESTROY()
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CFindDlg message handlers

BOOL CFindDlg::OnInitDialog() 
{
	CDialog::OnInitDialog();
	
	// move dialog to LRC of main window
	CRect mainRect;
	P_FRAME->GetWindowRect(&mainRect);

	CRect dlgRect;
	GetWindowRect(&dlgRect);

	int delx = mainRect.right - dlgRect.right;
	int dely = mainRect.bottom - dlgRect.bottom;

	dlgRect.left += delx;
	dlgRect.right += delx;
	dlgRect.top += dely;
 	dlgRect.bottom += dely;

	MoveWindow(&dlgRect);

	m_strFind = P_APP->m_strFind;
	UpdateData(FALSE);
	
	return TRUE;  // return TRUE unless you set the focus to a control
	              // EXCEPTION: OCX Property Pages should return FALSE
}

BOOL CFindDlg::PreTranslateMessage(MSG* pMsg) 
{
	BOOL bRetVal = CDialog::PreTranslateMessage(pMsg);

	if(bRetVal && pMsg->message == WM_CHAR)
	{
		UpdateData(TRUE);
		P_APP->m_strFind = m_strFind;
		m_pParent->Find(1, 0);
	}
	
	return bRetVal;
}

void CFindDlg::OnButtonNext() 
{
	UpdateData(TRUE);
	P_APP->m_strFind = m_strFind;
	m_pParent->Find(1, 1);
}

void CFindDlg::OnButtonPrev() 
{
	UpdateData(TRUE);
	P_APP->m_strFind = m_strFind;
	m_pParent->Find(-1, -1);
}

void CFindDlg::OnDestroy() 
{
	UpdateData(TRUE);
	P_APP->m_strFind = m_strFind;

	CDialog::OnDestroy();
}
